//
// -- LunDoomish Shaders -- 06.06.01
// -- Olive Set
//
// -- Now, listen.  This is really important.  Do NOT put the Lun3DM3 textures in "baseq3/textures/lun3dm3".  This
// -- is extremely bad.  Put them in a custom dir of your choosing (yourname3DM#) or else you will cause lots of
// -- problems for lots of people.
//
// -- And don't let me catch you releasing a map with textures in /lun3dm3 because I'll find you and throw things 
// -- at you.
//
// -- To make it easy for you I've purposefully replaced all instances of /lun3dm3/ in this shader with /lun3dm3_mike/, so
// -- you'll have to go through and replace them with something no matter what.
//

// The teleporter walls have an upper half and a lower half to allow the pulses to, er, pulse out from the center
textures/lun3dm3_mike/telewallhigh
{
	{
		map textures/lun3dm3_mike/zoot1.tga
		tcMod scroll 0 1.5
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/telewallhigh.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/telewallfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0 0.2
	}
}

textures/lun3dm3_mike/telewalllow
{
	{
		map textures/lun3dm3_mike/zoot2.tga
		tcMod scroll 0 -1.5
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/telewalllow.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/telewallfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0 0.2
	}
}

textures/lun3dm3_mike/telefloor
{
	{
		clampmap textures/lun3dm3_mike/telefloorfx.tga
		rgbGen identity
		tcMod stretch inversesawtooth 0.1 3 0 .75
	}
	{
		clampmap textures/lun3dm3_mike/telefloorfx.tga
		rgbGen identity
		tcMod stretch inversesawtooth 0.1 3 0.5 .75
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/lun3dm3_mike/telefloor.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm3_mike/nukeage
{
	q3map_globaltexture
	q3map_surfacelight 100
	q3map_lightimage textures/liquids/slime7.tga
	cull disable

	qer_editorimage textures/liquids/slime7.tga
	qer_trans 0.5
	tessSize 48
	deformVertexes wave 70 sin 1 1 .5 .5

	surfaceparm trans
	surfaceparm slime
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodrop	
	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/lun3dm3_mike/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .10 .10
		tcMod scroll .001 .001
	}		
}

// Not used - didn't look right anyway
textures/lun3dm3_mike/nukefalls
{
	q3map_globaltexture
	q3map_surfacelight 40
	q3map_lightimage textures/liquids/slime7.tga
	cull disable

	qer_editorimage textures/lun3dm3_mike/slimefalls.tga
	qer_trans 0.5
	tessSize 32
	deformVertexes wave 30 sin 1 1 .5 .5

	surfaceparm trans
	surfaceparm slime
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodrop	
	{
		map textures/lun3dm3_mike/slimefalls.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 1 0.1
		tcMod scroll 0 -0.5
	}
}

// Original version with animated clouds, but no sweem Terragen environment cube :(
textures/lun3dm3_mike/phobossky1
{
	qer_editorimage textures/lun3dm3_mike/sky1.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky
	skyparms - 720 -
	q3map_surfacelight 200
	q3map_lightimage textures/lun3dm3_mike/sky1.tga
	q3map_sun 1 1 1 175 45 80
	{
		map textures/lun3dm3_mike/sky1.tga
		tcMod scale 2 2
		tcMod scroll .006 .005
	}
	{
		map textures/lun3dm3_mike/sky2.tga
		blendFunc GL_ONE GL_ONE
//		tcMod scale 2 2
		tcMod scroll -0.006 0.00045
	}
}

// New version with sweem Terragen environment cube, but no animated clouds. :(
textures/lun3dm3_mike/phobossky2
{
	qer_editorimage textures/lun3dm3_mike/sky1.tga

	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky

	skyparms env/phobos - -
	q3map_surfacelight 200
	q3map_lightimage textures/lun3dm3_mike/sky1.tga
	q3map_sun 1 1 1 175 45 80
}

// New version that doesn't cast light to fix something fucked
textures/lun3dm3_mike/phobossky2nolight
{
	qer_editorimage textures/lun3dm3_mike/sky1.tga

	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky

	skyparms env/phobos - -
//	q3map_surfacelight 200
//	q3map_lightimage textures/lun3dm3_mike/sky1.tga
//	q3map_sun 1 1 1 175 45 80
}

// Original switch textures by than - sh4derized by me
textures/lun3dm3_mike/than_button1
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerclip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/than_button1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/than_button1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0 1
	}
}

textures/lun3dm3_mike/than_button2
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/than_button2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/than_button2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0 1
	}
}

textures/lun3dm3_mike/starb2ashiny
{
	qer_editorimage textures/lun3dm3_mike/starb2a.tga
	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/starb2a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lun3dm3_mike/xpiplun1ashiny
{
	qer_editorimage textures/lun3dm3_mike/xpiplun1a.tga
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		tcGen environment
	}
	{
		map textures/lun3dm3_mike/xpiplun1a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lun3dm3_mike/lite1
{
	{
		map textures/lun3dm3_mike/lite1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 1 0.1 0 0.25
		rgbGen wave sin 1 0.1 0 0.75
	}
}


//
// -- Q1 Computers + Doom Computer Screens = Lun3DM3 Bastard Child Computer Textures
//
textures/lun3dm3_mike/q1comp4
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp4glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sine 0.9 0.15 0 0.5
	}
}

textures/lun3dm3_mike/q1comp6scroll
{
	qer_editorimage textures/lun3dm3_mike/q1comp6.tga
	{
		map textures/lun3dm3_mike/q1comp6scroll.tga
		tcmod scroll 0 -0.5
		rgbGen identity
	}
	{
		map textures/effects/tinfx2.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/q1comp6fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/lun3dm3_mike/q1comp6uac
{
	qer_editorimage textures/lun3dm3_mike/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/q1comp6bfx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/q1comp6neb
{
	qer_editorimage textures/lun3dm3_mike/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/q1comp6fx6.tga
		blendFunc GL_ONE GL_ONE
	}
}

// What the hell's Tei Tenga anyway?
textures/lun3dm3_mike/q1comp6tei
{
	qer_editorimage textures/lun3dm3_mike/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/q1comp6fx5.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/q1comp6map
{
	qer_editorimage textures/lun3dm3_mike/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/q1comp6fx4.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/q1comp6text
{
	qer_editorimage textures/lun3dm3_mike/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/q1comp6fx3.tga
		blendFunc GL_ONE GL_ONE
	}
}

// Heh heh heh.
textures/lun3dm3_mike/q1comp6qmap
{
	qer_editorimage textures/lun3dm3_mike/q1comp6.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm3_mike/q1comp6fx7.tga
		blendFunc GL_ONE GL_ONE
	}
}


//
// -- Gratuitous Lightage
// -- I defined all these 14 light values and only used about half of 'em
//
textures/lun3dm3_mike/lightl_1k
{
	qer_editorimage textures/lun3dm3_mike/llight5.tga
	q3map_lightimage textures/lun3dm3_mike/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/lightl_2k
{
	qer_editorimage textures/lun3dm3_mike/llight5.tga
	q3map_lightimage textures/lun3dm3_mike/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/lightl_3k
{
	qer_editorimage textures/lun3dm3_mike/llight5.tga
	q3map_lightimage textures/lun3dm3_mike/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/lightl_4k
{
	qer_editorimage textures/lun3dm3_mike/llight5.tga
	q3map_lightimage textures/lun3dm3_mike/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/lightl_5k
{
	qer_editorimage textures/lun3dm3_mike/llight5.tga
	q3map_lightimage textures/lun3dm3_mike/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/lightl_10k
{
	qer_editorimage textures/lun3dm3_mike/llight5.tga
	q3map_lightimage textures/lun3dm3_mike/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/lightl_500
{
	qer_editorimage textures/lun3dm3_mike/llight5.tga
	q3map_lightimage textures/lun3dm3_mike/llight5blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/llight5blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/ceilwhite1_10k
{
	qer_editorimage textures/lun3dm3_mike/ceilwhite1.tga
	q3map_lightimage textures/lun3dm3_mike/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/ceilwhite1_20k
{
	qer_editorimage textures/lun3dm3_mike/ceilwhite1.tga
	q3map_lightimage textures/lun3dm3_mike/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/ceilwhite1_30k
{
	qer_editorimage textures/lun3dm3_mike/ceilwhite1.tga
	q3map_lightimage textures/lun3dm3_mike/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/ceilwhite1_5k
{
	qer_editorimage textures/lun3dm3_mike/ceilwhite1.tga
	q3map_lightimage textures/lun3dm3_mike/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/ceilwhite1_7500
{
	qer_editorimage textures/lun3dm3_mike/ceilwhite1.tga
	q3map_lightimage textures/lun3dm3_mike/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 7500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/ceilwhite1_1k
{
	qer_editorimage textures/lun3dm3_mike/ceilwhite1.tga
	q3map_lightimage textures/lun3dm3_mike/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/ceilwhite1_2500
{
	qer_editorimage textures/lun3dm3_mike/ceilwhite1.tga
	q3map_lightimage textures/lun3dm3_mike/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}


// L33t Metal Wall Sh1niness
// With no extra rendering passes!  Yay!
// actually that just barely makes up for the extra alphagen multiplications for every pixel :p

textures/lun3dm3_mike/metpan_lite1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm3_mike/metpan_lite1.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
	}
	{
		map textures/lun3dm3_mike/metpan_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 1 0.1 0 0.25
		rgbGen wave sin 1 0.1 0 0.75
	}
}

textures/lun3dm3_mike/dmetsupport1
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/dmetsupport1.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metglu
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metglu.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metpan_caution
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metpan_caution.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metpan_caution2
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metpan_caution2.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metpan1
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metpan1.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metpan2
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metpan2.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metpan1r
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metpan1r.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metpan3
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metpan3.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metpan4
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metpan4.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/metpan5
{	surfaceparm metalsteps
	{	map $lightmap
		rgbGen identity	}
	{
		map textures/lun3dm3_mike/metpan5.tga
		rgbGen identity
		blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
}	}

textures/lun3dm3_mike/barrel
{
	{
		map textures/lun3dm3_mike/barrel.tga
		rgbGen vertex
	}
	{
		map textures/lun3dm3_mike/barrelglow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm3_mike/barrelslime
{
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
		tcMod scale 2 2
	}
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scroll .01 .01
	}
	{
		map textures/lun3dm3_mike/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .50 .50
		tcMod scroll .001 .001
	}		
}

textures/lun3dm3_mike/barrelent
{
	{
		map textures/lun3dm3_mike/barrel.tga
		rgbGen lightingDiffuse
	}
}


// Yeah, you know what this is.  But can you find it?
textures/lun3dm3_mike/hhgtg
{
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nonsolid
	q3map_surfacelight 150
	q3map_lightimage textures/lun3dm3_mike/ceilwhite1fx.tga
	{
		map textures/lun3dm3_mike/hhgtg.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}